%global _lto_cflags %{nil}

Summary:        Protocol buffers implementation in C
Name:           protobuf-c
Version:        1.4.1
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/protobuf-c/protobuf-c
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc-c++ pkgconfig(protobuf)

%description
protobuf-c is a C implementation of the Google Protocol Buffers data 
serialization format. It includes libprotobuf-c, a pure C library that 
implements protobuf encoding and decoding, and protoc-c, a code generator
that converts Protocol Buffer .proto files to C descriptor code, based
on the original protoc.

%package devel
Summary:        Header files, libraries and compiler for protobuf-c development
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides header files, libraries and compiler for protobuf-c 
development.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libprotobuf-c.la

%check
make check

%files
%license LICENSE
%doc TODO ChangeLog
%{_libdir}/libprotobuf-c.so.*

%files devel
%license LICENSE
%{_includedir}/protobuf-c/
%dir %{_includedir}/google
%{_includedir}/google/protobuf-c/
%{_bindir}/protoc-c
%{_bindir}/protoc-gen-c
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-4
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Miaojun Dong <zoedong@tencent.com> - 1.4.1-3
- rebuild for protobuf-3.19

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 1.4.1-2
- rebuild for protobuf-3.19

* Tue Jul 19 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.4.1-1
- Initial build
